#include "EsoAcsammm_Header.hpp"
/* Copyright (C) 1991-2017 Free Software Foundation, Inc.
   This file is part of the GNU C Library.

   The GNU C Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   The GNU C Library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with the GNU C Library; if not, see
   <http://www.gnu.org/licenses/>.  */
/* This header is separate from features.h so that the compiler can
   include it implicitly at the start of every compilation.  It must
   not itself include <features.h> or any other header that includes
   <features.h> because the implicit include comes before any feature
   test macros that may be defined in a source file before it first
   explicitly includes a system header.  GCC knows the name of this
   header in order to preinclude it.  */
/* glibc's intent is to support the IEC 559 math functionality, real
   and complex.  If the GCC (4.9 and later) predefined macros
   specifying compiler intent are available, use them to determine
   whether the overall intent is to support these features; otherwise,
   presume an older compiler has intent to support these features and
   define these macros by default.  */
/* wchar_t uses Unicode 10.0.0.  Version 10.0 of the Unicode Standard is
   synchronized with ISO/IEC 10646:2017, fifth edition, plus
   the following additions from Amendment 1 to the fifth edition:
   - 56 emoji characters
   - 285 hentaigana
   - 3 additional Zanabazar Square characters */
/* We do not support C11 <threads.h>.  */
// ++++++++++++++++++++++++++++++++++
// + Code generated by dcc 1.0      +
// ++++++++++++++++++++++++++++++++++
void a1_res(int bmode_1, double* yy, double* a1_yy, double* der_x, double* a1_der_x, double* x, double* a1_x, double* p, double* a1_p, int* condit, int* lock, int* prev, int& n_x, int& n_p, int& n_c)
#pragma ad indep x a1_x p a1_p a1_yy
#pragma ad dep yy a1_x a1_p
{
   int i_E=0;
   int i_C=0;
   int i__=0;
   int j__=0;
   int k__=0;
   int m__=0;
   int r_i=0;
   int r_j=0;
   int i_a=0;
   int i_b=0;
   int i_loop=0;
   int i__switch=0;
   int i__start=0;
   int i__end=0;
   int i__step=0;
   int while_end=0;
   int i_cont=0;
   int j_cont=0;
   int k_cont=0;
   double var_n_x=0;
   double a1_var_n_x=0;
   double var_Tin=0;
   double a1_var_Tin=0;
   double var_b2=0;
   double a1_var_b2=0;
   double var_FbinMin=0;
   double a1_var_FbinMin=0;
   double var_FbinMax=0;
   double a1_var_FbinMax=0;
   double var_TwMin=0;
   double a1_var_TwMin=0;
   double var_TwMax=0;
   double a1_var_TwMax=0;
   double par_TwCur=0;
   double a1_par_TwCur=0;
   double par_FbinCur=0;
   double a1_par_FbinCur=0;
   double par_TMin=0;
   double a1_par_TMin=0;
   double par_FinalTime=0;
   double a1_par_FinalTime=0;
   double var_X1=0;
   double a1_var_X1=0;
   double der_var_X1=0;
   double a1_der_var_X1=0;
   double var_X2=0;
   double a1_var_X2=0;
   double der_var_X2=0;
   double a1_der_var_X2=0;
   double var_X3=0;
   double a1_var_X3=0;
   double der_var_X3=0;
   double a1_der_var_X3=0;
   double var_X4=0;
   double a1_var_X4=0;
   double der_var_X4=0;
   double a1_der_var_X4=0;
   double var_X5=0;
   double a1_var_X5=0;
   double der_var_X5=0;
   double a1_der_var_X5=0;
   double var_X6=0;
   double a1_var_X6=0;
   double der_var_X6=0;
   double a1_der_var_X6=0;
   double var_X7=0;
   double a1_var_X7=0;
   double der_var_X7=0;
   double a1_der_var_X7=0;
   double var_X8=0;
   double a1_var_X8=0;
   double der_var_X8=0;
   double a1_der_var_X8=0;
   double var_X9=0;
   double a1_var_X9=0;
   double der_var_X9=0;
   double a1_der_var_X9=0;
   double var_Fbin=0;
   double a1_var_Fbin=0;
   double der_var_Fbin=0;
   double a1_der_var_Fbin=0;
   double var_Tw=0;
   double a1_var_Tw=0;
   double der_var_Tw=0;
   double a1_der_var_Tw=0;
   double var_derX7=0;
   double a1_var_derX7=0;
   double der_var_derX7=0;
   double a1_der_var_derX7=0;
   double var_i_expr=0;
   double a1_var_i_expr=0;
   double var_div0=0;
   double a1_var_div0=0;
   double var_i_expr2=0;
   double a1_var_i_expr2=0;
   double var_div1=0;
   double a1_var_div1=0;
   double var_exp3=0;
   double a1_var_exp3=0;
   double var_i_expr4=0;
   double a1_var_i_expr4=0;
   double var_i_expr6=0;
   double a1_var_i_expr6=0;
   double var_i_expr7=0;
   double a1_var_i_expr7=0;
   double var_div5=0;
   double a1_var_div5=0;
   double var_i_expr9=0;
   double a1_var_i_expr9=0;
   double var_div8=0;
   double a1_var_div8=0;
   double var_exp10=0;
   double a1_var_exp10=0;
   double var_i_expr11=0;
   double a1_var_i_expr11=0;
   double var_i_expr13=0;
   double a1_var_i_expr13=0;
   double var_i_expr14=0;
   double a1_var_i_expr14=0;
   double var_div12=0;
   double a1_var_div12=0;
   double var_exp15=0;
   double a1_var_exp15=0;
   double var_i_expr16=0;
   double a1_var_i_expr16=0;
   double var_i_expr18=0;
   double a1_var_i_expr18=0;
   double var_div17=0;
   double a1_var_div17=0;
   double var_exp19=0;
   double a1_var_exp19=0;
   double var_i_expr20=0;
   double a1_var_i_expr20=0;
   double var_i_expr22=0;
   double a1_var_i_expr22=0;
   double var_i_expr23=0;
   double a1_var_i_expr23=0;
   double var_div21=0;
   double a1_var_div21=0;
   double var_exp24=0;
   double a1_var_exp24=0;
   double var_i_expr25=0;
   double a1_var_i_expr25=0;
   double var_i_expr27=0;
   double a1_var_i_expr27=0;
   double var_i_expr28=0;
   double a1_var_i_expr28=0;
   double var_div26=0;
   double a1_var_div26=0;
   double var_exp29=0;
   double a1_var_exp29=0;
   double var_i_expr30=0;
   double a1_var_i_expr30=0;
   double var_i_expr32=0;
   double a1_var_i_expr32=0;
   double var_div31=0;
   double a1_var_div31=0;
   double var_i_expr34=0;
   double a1_var_i_expr34=0;
   double var_i_expr35=0;
   double a1_var_i_expr35=0;
   double var_div33=0;
   double a1_var_div33=0;
   double var_exp36=0;
   double a1_var_exp36=0;
   double var_i_expr37=0;
   double a1_var_i_expr37=0;
   double var_i_expr39=0;
   double a1_var_i_expr39=0;
   double var_i_expr40=0;
   double a1_var_i_expr40=0;
   double var_div38=0;
   double a1_var_div38=0;
   double var_exp41=0;
   double a1_var_exp41=0;
   double var_i_expr42=0;
   double a1_var_i_expr42=0;
   double var_i_expr44=0;
   double a1_var_i_expr44=0;
   double var_div43=0;
   double a1_var_div43=0;
   double var_i_expr46=0;
   double a1_var_i_expr46=0;
   double var_i_expr47=0;
   double a1_var_i_expr47=0;
   double var_div45=0;
   double a1_var_div45=0;
   double var_exp48=0;
   double a1_var_exp48=0;
   double var_i_expr49=0;
   double a1_var_i_expr49=0;
   double var_i_expr51=0;
   double a1_var_i_expr51=0;
   double var_div50=0;
   double a1_var_div50=0;
   double var_i_expr53=0;
   double a1_var_i_expr53=0;
   double var_i_expr54=0;
   double a1_var_i_expr54=0;
   double var_div52=0;
   double a1_var_div52=0;
   double var_exp55=0;
   double a1_var_exp55=0;
   double var_i_expr56=0;
   double a1_var_i_expr56=0;
   double var_i_expr58=0;
   double a1_var_i_expr58=0;
   double var_div57=0;
   double a1_var_div57=0;
   double var_i_expr60=0;
   double a1_var_i_expr60=0;
   double var_i_expr61=0;
   double a1_var_i_expr61=0;
   double var_div59=0;
   double a1_var_div59=0;
   double var_exp62=0;
   double a1_var_exp62=0;
   double var_i_expr63=0;
   double a1_var_i_expr63=0;
   double var_i_expr65=0;
   double a1_var_i_expr65=0;
   double var_i_expr66=0;
   double a1_var_i_expr66=0;
   double var_div64=0;
   double a1_var_div64=0;
   double var_exp67=0;
   double a1_var_exp67=0;
   double var_i_expr68=0;
   double a1_var_i_expr68=0;
   double var_i_expr70=0;
   double a1_var_i_expr70=0;
   double var_i_expr71=0;
   double a1_var_i_expr71=0;
   double var_div69=0;
   double a1_var_div69=0;
   double var_exp72=0;
   double a1_var_exp72=0;
   double var_i_expr73=0;
   double a1_var_i_expr73=0;
   double var_i_expr75=0;
   double a1_var_i_expr75=0;
   double var_div74=0;
   double a1_var_div74=0;
   double var_i_expr77=0;
   double a1_var_i_expr77=0;
   double var_div76=0;
   double a1_var_div76=0;
   double var_exp78=0;
   double a1_var_exp78=0;
   double var_i_expr79=0;
   double a1_var_i_expr79=0;
   double var_i_expr81=0;
   double a1_var_i_expr81=0;
   double var_i_expr82=0;
   double a1_var_i_expr82=0;
   double var_div80=0;
   double a1_var_div80=0;
   double var_exp83=0;
   double a1_var_exp83=0;
   double var_i_expr84=0;
   double a1_var_i_expr84=0;
   double var_i_expr86=0;
   double a1_var_i_expr86=0;
   double var_i_expr87=0;
   double a1_var_i_expr87=0;
   double var_div85=0;
   double a1_var_div85=0;
   double var_exp88=0;
   double a1_var_exp88=0;
   double var_i_expr89=0;
   double a1_var_i_expr89=0;
   double var_i_expr91=0;
   double a1_var_i_expr91=0;
   double var_div90=0;
   double a1_var_div90=0;
   int i_i=0;
   int i_j=0;
   int i_z=0;
   double v1_0=0;
   double a1_v1_0=0;
   double v1_1=0;
   double a1_v1_1=0;
   double v1_2=0;
   double a1_v1_2=0;
   double v1_3=0;
   double a1_v1_3=0;
   double v1_4=0;
   double a1_v1_4=0;
   double v1_5=0;
   double a1_v1_5=0;
   double v1_6=0;
   double a1_v1_6=0;
   double v1_7=0;
   double a1_v1_7=0;
   double v1_8=0;
   double a1_v1_8=0;
   double v1_9=0;
   double a1_v1_9=0;
   double v1_10=0;
   double a1_v1_10=0;
   double v1_11=0;
   double a1_v1_11=0;
   double v1_12=0;
   double a1_v1_12=0;
   double v1_13=0;
   double a1_v1_13=0;
   double v1_14=0;
   double a1_v1_14=0;
   double v1_15=0;
   double a1_v1_15=0;
   double v1_16=0;
   double a1_v1_16=0;
   double v1_17=0;
   double a1_v1_17=0;
   double v1_18=0;
   double a1_v1_18=0;
   double v1_19=0;
   double a1_v1_19=0;
   double v1_20=0;
   double a1_v1_20=0;
   double v1_21=0;
   double a1_v1_21=0;
   double v1_22=0;
   double a1_v1_22=0;
   double v1_23=0;
   double a1_v1_23=0;
   double v1_24=0;
   double a1_v1_24=0;
   double v1_25=0;
   double a1_v1_25=0;
   double v1_26=0;
   double a1_v1_26=0;
   double v1_27=0;
   double a1_v1_27=0;
   double v1_28=0;
   double a1_v1_28=0;
   double v1_29=0;
   double a1_v1_29=0;
   double v1_30=0;
   double a1_v1_30=0;
   double v1_31=0;
   double a1_v1_31=0;
   double v1_32=0;
   double a1_v1_32=0;
   double v1_33=0;
   double a1_v1_33=0;
   double v1_34=0;
   double a1_v1_34=0;
   double v1_35=0;
   double a1_v1_35=0;
   double v1_36=0;
   double a1_v1_36=0;
   double v1_37=0;
   double a1_v1_37=0;
   double v1_38=0;
   double a1_v1_38=0;
   double v1_39=0;
   double a1_v1_39=0;
   double v1_40=0;
   double a1_v1_40=0;
   double v1_41=0;
   double a1_v1_41=0;
   double v1_42=0;
   double a1_v1_42=0;
   double v1_43=0;
   double a1_v1_43=0;
   double v1_44=0;
   double a1_v1_44=0;
   double v1_45=0;
   double a1_v1_45=0;
   double v1_46=0;
   double a1_v1_46=0;
   double v1_47=0;
   double a1_v1_47=0;
   double v1_48=0;
   double a1_v1_48=0;
   int save_acs_cs_c=0;
   save_acs_cs_c=acs_cs_c;
   if (bmode_1==1) {
      // augmented forward section
      acs_cs[acs_cs_c]=0; acs_cs_c=acs_cs_c+1;
      acs_fds[acs_fds_c]=var_n_x; acs_fds_c=acs_fds_c+1; var_n_x=9;
      acs_fds[acs_fds_c]=var_Tin; acs_fds_c=acs_fds_c+1; var_Tin=35;
      acs_fds[acs_fds_c]=var_b2; acs_fds_c=acs_fds_c+1; var_b2=6.6667;
      acs_fds[acs_fds_c]=var_FbinMin; acs_fds_c=acs_fds_c+1; var_FbinMin=0;
      acs_fds[acs_fds_c]=var_FbinMax; acs_fds_c=acs_fds_c+1; var_FbinMax=5.784;
      acs_fds[acs_fds_c]=var_TwMin; acs_fds_c=acs_fds_c+1; var_TwMin=0.02;
      acs_fds[acs_fds_c]=var_TwMax; acs_fds_c=acs_fds_c+1; var_TwMax=0.1;
      acs_fds[acs_fds_c]=par_TwCur; acs_fds_c=acs_fds_c+1; par_TwCur=p[0];
      acs_fds[acs_fds_c]=par_FbinCur; acs_fds_c=acs_fds_c+1; par_FbinCur=p[1];
      acs_fds[acs_fds_c]=par_TMin; acs_fds_c=acs_fds_c+1; par_TMin=p[2];
      acs_fds[acs_fds_c]=par_FinalTime; acs_fds_c=acs_fds_c+1; par_FinalTime=p[3];
      acs_fds[acs_fds_c]=var_X1; acs_fds_c=acs_fds_c+1; var_X1=x[0];
      acs_fds[acs_fds_c]=der_var_X1; acs_fds_c=acs_fds_c+1; der_var_X1=der_x[0];
      acs_fds[acs_fds_c]=var_X2; acs_fds_c=acs_fds_c+1; var_X2=x[1];
      acs_fds[acs_fds_c]=der_var_X2; acs_fds_c=acs_fds_c+1; der_var_X2=der_x[1];
      acs_fds[acs_fds_c]=var_X3; acs_fds_c=acs_fds_c+1; var_X3=x[2];
      acs_fds[acs_fds_c]=der_var_X3; acs_fds_c=acs_fds_c+1; der_var_X3=der_x[2];
      acs_fds[acs_fds_c]=var_X4; acs_fds_c=acs_fds_c+1; var_X4=x[3];
      acs_fds[acs_fds_c]=der_var_X4; acs_fds_c=acs_fds_c+1; der_var_X4=der_x[3];
      acs_fds[acs_fds_c]=var_X5; acs_fds_c=acs_fds_c+1; var_X5=x[4];
      acs_fds[acs_fds_c]=der_var_X5; acs_fds_c=acs_fds_c+1; der_var_X5=der_x[4];
      acs_fds[acs_fds_c]=var_X6; acs_fds_c=acs_fds_c+1; var_X6=x[5];
      acs_fds[acs_fds_c]=der_var_X6; acs_fds_c=acs_fds_c+1; der_var_X6=der_x[5];
      acs_fds[acs_fds_c]=var_X7; acs_fds_c=acs_fds_c+1; var_X7=x[6];
      acs_fds[acs_fds_c]=der_var_X7; acs_fds_c=acs_fds_c+1; der_var_X7=der_x[6];
      acs_fds[acs_fds_c]=var_X8; acs_fds_c=acs_fds_c+1; var_X8=x[7];
      acs_fds[acs_fds_c]=der_var_X8; acs_fds_c=acs_fds_c+1; der_var_X8=der_x[7];
      acs_fds[acs_fds_c]=var_X9; acs_fds_c=acs_fds_c+1; var_X9=x[8];
      acs_fds[acs_fds_c]=der_var_X9; acs_fds_c=acs_fds_c+1; der_var_X9=der_x[8];
      acs_fds[acs_fds_c]=var_Fbin; acs_fds_c=acs_fds_c+1; var_Fbin=x[9];
      acs_fds[acs_fds_c]=der_var_Fbin; acs_fds_c=acs_fds_c+1; der_var_Fbin=der_x[9];
      acs_fds[acs_fds_c]=var_Tw; acs_fds_c=acs_fds_c+1; var_Tw=x[10];
      acs_fds[acs_fds_c]=der_var_Tw; acs_fds_c=acs_fds_c+1; der_var_Tw=der_x[10];
      acs_fds[acs_fds_c]=var_derX7; acs_fds_c=acs_fds_c+1; var_derX7=x[11];
      acs_fds[acs_fds_c]=der_var_derX7; acs_fds_c=acs_fds_c+1; der_var_derX7=der_x[11];
      acs_fds[acs_fds_c]=var_i_expr; acs_fds_c=acs_fds_c+1; var_i_expr=(1000*var_X8);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_Fbin,a1_var_Fbin,var_i_expr,a1_var_i_expr,var_div0,a1_var_div0);
      acs_fds[acs_fds_c]=var_i_expr2; acs_fds_c=acs_fds_c+1; var_i_expr2=(273.15+var_X7);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_b2,a1_var_b2,var_i_expr2,a1_var_i_expr2,var_div1,a1_var_div1);
      acs_fds[acs_fds_c]=var_i_expr4; acs_fds_c=acs_fds_c+1; var_i_expr4=0-1000*var_div1;
      bmode_1=2; // store inputs and run original code
      a1_acs_exp(bmode_1,var_i_expr4,a1_var_i_expr4,var_exp3,a1_var_exp3);
      acs_fds[acs_fds_c]=yy[i_E]; acs_fds_c=acs_fds_c+1; yy[i_E]=der_var_X1-(0-par_FinalTime*(var_X1*var_div0+1659900*var_exp3*var_X1*var_X2));
      acs_ids[acs_ids_c]=i_E; acs_ids_c=acs_ids_c+1; i_E=i_E+1;
      acs_fds[acs_fds_c]=var_i_expr6; acs_fds_c=acs_fds_c+1; var_i_expr6=(1-var_X2);
      acs_fds[acs_fds_c]=var_i_expr7; acs_fds_c=acs_fds_c+1; var_i_expr7=(1000*var_X8);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_i_expr6,a1_var_i_expr6,var_i_expr7,a1_var_i_expr7,var_div5,a1_var_div5);
      acs_fds[acs_fds_c]=var_i_expr9; acs_fds_c=acs_fds_c+1; var_i_expr9=(273.15+var_X7);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_b2,a1_var_b2,var_i_expr9,a1_var_i_expr9,var_div8,a1_var_div8);
      acs_fds[acs_fds_c]=var_i_expr11; acs_fds_c=acs_fds_c+1; var_i_expr11=0-1000*var_div8;
      bmode_1=2; // store inputs and run original code
      a1_acs_exp(bmode_1,var_i_expr11,a1_var_i_expr11,var_exp10,a1_var_exp10);
      acs_fds[acs_fds_c]=var_i_expr13; acs_fds_c=acs_fds_c+1; var_i_expr13=8333.299999999999;
      acs_fds[acs_fds_c]=var_i_expr14; acs_fds_c=acs_fds_c+1; var_i_expr14=(273.15+var_X7);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_i_expr13,a1_var_i_expr13,var_i_expr14,a1_var_i_expr14,var_div12,a1_var_div12);
      acs_fds[acs_fds_c]=var_i_expr16; acs_fds_c=acs_fds_c+1; var_i_expr16=0-var_div12;
      bmode_1=2; // store inputs and run original code
      a1_acs_exp(bmode_1,var_i_expr16,a1_var_i_expr16,var_exp15,a1_var_exp15);
      acs_fds[acs_fds_c]=yy[i_E]; acs_fds_c=acs_fds_c+1; yy[i_E]=der_var_X2-(par_FinalTime*(var_Fbin*var_div5-(1659900*var_exp10*var_X1*var_X2+721170000*var_exp15*var_X2*var_X3)));
      acs_ids[acs_ids_c]=i_E; acs_ids_c=acs_ids_c+1; i_E=i_E+1;
      acs_fds[acs_fds_c]=var_i_expr18; acs_fds_c=acs_fds_c+1; var_i_expr18=(273.15+var_X7);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_b2,a1_var_b2,var_i_expr18,a1_var_i_expr18,var_div17,a1_var_div17);
      acs_fds[acs_fds_c]=var_i_expr20; acs_fds_c=acs_fds_c+1; var_i_expr20=0-1000*var_div17;
      bmode_1=2; // store inputs and run original code
      a1_acs_exp(bmode_1,var_i_expr20,a1_var_i_expr20,var_exp19,a1_var_exp19);
      acs_fds[acs_fds_c]=var_i_expr22; acs_fds_c=acs_fds_c+1; var_i_expr22=8333.299999999999;
      acs_fds[acs_fds_c]=var_i_expr23; acs_fds_c=acs_fds_c+1; var_i_expr23=(273.15+var_X7);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_i_expr22,a1_var_i_expr22,var_i_expr23,a1_var_i_expr23,var_div21,a1_var_div21);
      acs_fds[acs_fds_c]=var_i_expr25; acs_fds_c=acs_fds_c+1; var_i_expr25=0-var_div21;
      bmode_1=2; // store inputs and run original code
      a1_acs_exp(bmode_1,var_i_expr25,a1_var_i_expr25,var_exp24,a1_var_exp24);
      acs_fds[acs_fds_c]=var_i_expr27; acs_fds_c=acs_fds_c+1; var_i_expr27=11111;
      acs_fds[acs_fds_c]=var_i_expr28; acs_fds_c=acs_fds_c+1; var_i_expr28=(273.15+var_X7);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_i_expr27,a1_var_i_expr27,var_i_expr28,a1_var_i_expr28,var_div26,a1_var_div26);
      acs_fds[acs_fds_c]=var_i_expr30; acs_fds_c=acs_fds_c+1; var_i_expr30=0-var_div26;
      bmode_1=2; // store inputs and run original code
      a1_acs_exp(bmode_1,var_i_expr30,a1_var_i_expr30,var_exp29,a1_var_exp29);
      acs_fds[acs_fds_c]=var_i_expr32; acs_fds_c=acs_fds_c+1; var_i_expr32=(1000*var_X8);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_Fbin,a1_var_Fbin,var_i_expr32,a1_var_i_expr32,var_div31,a1_var_div31);
      acs_fds[acs_fds_c]=yy[i_E]; acs_fds_c=acs_fds_c+1; yy[i_E]=der_var_X3-(par_FinalTime*(3319800*var_exp19*var_X1*var_X2-1442340000*var_exp24*var_X2*var_X3-2674500000000*var_exp29*var_X3*var_X4-var_X3*var_div31));
      acs_ids[acs_ids_c]=i_E; acs_ids_c=acs_ids_c+1; i_E=i_E+1;
      acs_fds[acs_fds_c]=var_i_expr34; acs_fds_c=acs_fds_c+1; var_i_expr34=8333.299999999999;
      acs_fds[acs_fds_c]=var_i_expr35; acs_fds_c=acs_fds_c+1; var_i_expr35=(273.15+var_X7);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_i_expr34,a1_var_i_expr34,var_i_expr35,a1_var_i_expr35,var_div33,a1_var_div33);
      acs_fds[acs_fds_c]=var_i_expr37; acs_fds_c=acs_fds_c+1; var_i_expr37=0-var_div33;
      bmode_1=2; // store inputs and run original code
      a1_acs_exp(bmode_1,var_i_expr37,a1_var_i_expr37,var_exp36,a1_var_exp36);
      acs_fds[acs_fds_c]=var_i_expr39; acs_fds_c=acs_fds_c+1; var_i_expr39=11111;
      acs_fds[acs_fds_c]=var_i_expr40; acs_fds_c=acs_fds_c+1; var_i_expr40=(273.15+var_X7);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_i_expr39,a1_var_i_expr39,var_i_expr40,a1_var_i_expr40,var_div38,a1_var_div38);
      acs_fds[acs_fds_c]=var_i_expr42; acs_fds_c=acs_fds_c+1; var_i_expr42=0-var_div38;
      bmode_1=2; // store inputs and run original code
      a1_acs_exp(bmode_1,var_i_expr42,a1_var_i_expr42,var_exp41,a1_var_exp41);
      acs_fds[acs_fds_c]=var_i_expr44; acs_fds_c=acs_fds_c+1; var_i_expr44=(1000*var_X8);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_Fbin,a1_var_Fbin,var_i_expr44,a1_var_i_expr44,var_div43,a1_var_div43);
      acs_fds[acs_fds_c]=yy[i_E]; acs_fds_c=acs_fds_c+1; yy[i_E]=der_var_X4-(par_FinalTime*(721170000*var_exp36*var_X2*var_X3-1337250000000*var_exp41*var_X3*var_X4-var_X4*var_div43));
      acs_ids[acs_ids_c]=i_E; acs_ids_c=acs_ids_c+1; i_E=i_E+1;
      acs_fds[acs_fds_c]=var_i_expr46; acs_fds_c=acs_fds_c+1; var_i_expr46=8333.299999999999;
      acs_fds[acs_fds_c]=var_i_expr47; acs_fds_c=acs_fds_c+1; var_i_expr47=(273.15+var_X7);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_i_expr46,a1_var_i_expr46,var_i_expr47,a1_var_i_expr47,var_div45,a1_var_div45);
      acs_fds[acs_fds_c]=var_i_expr49; acs_fds_c=acs_fds_c+1; var_i_expr49=0-var_div45;
      bmode_1=2; // store inputs and run original code
      a1_acs_exp(bmode_1,var_i_expr49,a1_var_i_expr49,var_exp48,a1_var_exp48);
      acs_fds[acs_fds_c]=var_i_expr51; acs_fds_c=acs_fds_c+1; var_i_expr51=(1000*var_X8);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_Fbin,a1_var_Fbin,var_i_expr51,a1_var_i_expr51,var_div50,a1_var_div50);
      acs_fds[acs_fds_c]=yy[i_E]; acs_fds_c=acs_fds_c+1; yy[i_E]=der_var_X5-(par_FinalTime*(1442340000*var_exp48*var_X2*var_X3-var_X5*var_div50));
      acs_ids[acs_ids_c]=i_E; acs_ids_c=acs_ids_c+1; i_E=i_E+1;
      acs_fds[acs_fds_c]=var_i_expr53; acs_fds_c=acs_fds_c+1; var_i_expr53=11111;
      acs_fds[acs_fds_c]=var_i_expr54; acs_fds_c=acs_fds_c+1; var_i_expr54=(273.15+var_X7);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_i_expr53,a1_var_i_expr53,var_i_expr54,a1_var_i_expr54,var_div52,a1_var_div52);
      acs_fds[acs_fds_c]=var_i_expr56; acs_fds_c=acs_fds_c+1; var_i_expr56=0-var_div52;
      bmode_1=2; // store inputs and run original code
      a1_acs_exp(bmode_1,var_i_expr56,a1_var_i_expr56,var_exp55,a1_var_exp55);
      acs_fds[acs_fds_c]=var_i_expr58; acs_fds_c=acs_fds_c+1; var_i_expr58=(1000*var_X8);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_Fbin,a1_var_Fbin,var_i_expr58,a1_var_i_expr58,var_div57,a1_var_div57);
      acs_fds[acs_fds_c]=yy[i_E]; acs_fds_c=acs_fds_c+1; yy[i_E]=der_var_X6-(par_FinalTime*(4011750000000*var_exp55*var_X4*var_X3-var_X6*var_div57));
      acs_ids[acs_ids_c]=i_E; acs_ids_c=acs_ids_c+1; i_E=i_E+1;
      acs_fds[acs_fds_c]=yy[i_E]; acs_fds_c=acs_fds_c+1; yy[i_E]=der_var_X8-(0.001*par_FinalTime*var_Fbin);
      acs_ids[acs_ids_c]=i_E; acs_ids_c=acs_ids_c+1; i_E=i_E+1;
      acs_fds[acs_fds_c]=var_i_expr60; acs_fds_c=acs_fds_c+1; var_i_expr60=8333.299999999999;
      acs_fds[acs_fds_c]=var_i_expr61; acs_fds_c=acs_fds_c+1; var_i_expr61=(273.15+var_X7);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_i_expr60,a1_var_i_expr60,var_i_expr61,a1_var_i_expr61,var_div59,a1_var_div59);
      acs_fds[acs_fds_c]=var_i_expr63; acs_fds_c=acs_fds_c+1; var_i_expr63=0-var_div59;
      bmode_1=2; // store inputs and run original code
      a1_acs_exp(bmode_1,var_i_expr63,a1_var_i_expr63,var_exp62,a1_var_exp62);
      acs_fds[acs_fds_c]=var_i_expr65; acs_fds_c=acs_fds_c+1; var_i_expr65=11111;
      acs_fds[acs_fds_c]=var_i_expr66; acs_fds_c=acs_fds_c+1; var_i_expr66=(273.15+var_X7);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_i_expr65,a1_var_i_expr65,var_i_expr66,a1_var_i_expr66,var_div64,a1_var_div64);
      acs_fds[acs_fds_c]=var_i_expr68; acs_fds_c=acs_fds_c+1; var_i_expr68=0-var_div64;
      bmode_1=2; // store inputs and run original code
      a1_acs_exp(bmode_1,var_i_expr68,a1_var_i_expr68,var_exp67,a1_var_exp67);
      acs_fds[acs_fds_c]=var_i_expr70; acs_fds_c=acs_fds_c+1; var_i_expr70=8333.299999999999;
      acs_fds[acs_fds_c]=var_i_expr71; acs_fds_c=acs_fds_c+1; var_i_expr71=(273.15+var_X7);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_i_expr70,a1_var_i_expr70,var_i_expr71,a1_var_i_expr71,var_div69,a1_var_div69);
      acs_fds[acs_fds_c]=var_i_expr73; acs_fds_c=acs_fds_c+1; var_i_expr73=0-var_div69;
      bmode_1=2; // store inputs and run original code
      a1_acs_exp(bmode_1,var_i_expr73,a1_var_i_expr73,var_exp72,a1_var_exp72);
      acs_fds[acs_fds_c]=yy[i_E]; acs_fds_c=acs_fds_c+1; yy[i_E]=der_var_X9-(par_FinalTime*(0-5554.1*(721170000*var_exp62*var_X2*var_X3-1337250000000*var_exp67*var_X3*var_X4)*var_X8-181605029400*var_exp72*var_X2*var_X3*var_X8));
      acs_ids[acs_ids_c]=i_E; acs_ids_c=acs_ids_c+1; i_E=i_E+1;
      acs_fds[acs_fds_c]=var_i_expr75; acs_fds_c=acs_fds_c+1; var_i_expr75=(1000*var_X8);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_Tin,a1_var_Tin,var_i_expr75,a1_var_i_expr75,var_div74,a1_var_div74);
      acs_fds[acs_fds_c]=var_i_expr77; acs_fds_c=acs_fds_c+1; var_i_expr77=(273.15+var_X7);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_b2,a1_var_b2,var_i_expr77,a1_var_i_expr77,var_div76,a1_var_div76);
      acs_fds[acs_fds_c]=var_i_expr79; acs_fds_c=acs_fds_c+1; var_i_expr79=0-1000*var_div76;
      bmode_1=2; // store inputs and run original code
      a1_acs_exp(bmode_1,var_i_expr79,a1_var_i_expr79,var_exp78,a1_var_exp78);
      acs_fds[acs_fds_c]=var_i_expr81; acs_fds_c=acs_fds_c+1; var_i_expr81=8333.299999999999;
      acs_fds[acs_fds_c]=var_i_expr82; acs_fds_c=acs_fds_c+1; var_i_expr82=(273.15+var_X7);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_i_expr81,a1_var_i_expr81,var_i_expr82,a1_var_i_expr82,var_div80,a1_var_div80);
      acs_fds[acs_fds_c]=var_i_expr84; acs_fds_c=acs_fds_c+1; var_i_expr84=0-var_div80;
      bmode_1=2; // store inputs and run original code
      a1_acs_exp(bmode_1,var_i_expr84,a1_var_i_expr84,var_exp83,a1_var_exp83);
      acs_fds[acs_fds_c]=var_i_expr86; acs_fds_c=acs_fds_c+1; var_i_expr86=11111;
      acs_fds[acs_fds_c]=var_i_expr87; acs_fds_c=acs_fds_c+1; var_i_expr87=(273.15+var_X7);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_i_expr86,a1_var_i_expr86,var_i_expr87,a1_var_i_expr87,var_div85,a1_var_div85);
      acs_fds[acs_fds_c]=var_i_expr89; acs_fds_c=acs_fds_c+1; var_i_expr89=0-var_div85;
      bmode_1=2; // store inputs and run original code
      a1_acs_exp(bmode_1,var_i_expr89,a1_var_i_expr89,var_exp88,a1_var_exp88);
      acs_fds[acs_fds_c]=var_i_expr91; acs_fds_c=acs_fds_c+1; var_i_expr91=(1000*var_X8);
      bmode_1=2; // store inputs and run original code
      a1_acs_div(bmode_1,var_X7,a1_var_X7,var_i_expr91,a1_var_i_expr91,var_div90,a1_var_div90);
      acs_fds[acs_fds_c]=yy[i_E]; acs_fds_c=acs_fds_c+1; yy[i_E]=var_derX7-(par_FinalTime*(var_Fbin*var_div74+0.000239005736137667*(437881620000*var_exp78*var_X1*var_X2+114161211000000*var_exp83*var_X2*var_X3+6.0523935e+17*var_exp88*var_X3*var_X4)-0.000243454685774894*(var_X7-1000*var_Tw)-var_Fbin*var_div90));
      acs_ids[acs_ids_c]=i_E; acs_ids_c=acs_ids_c+1; i_E=i_E+1;
      acs_fds[acs_fds_c]=yy[i_E]; acs_fds_c=acs_fds_c+1; yy[i_E]=var_Fbin-(par_FbinCur);
      acs_ids[acs_ids_c]=i_E; acs_ids_c=acs_ids_c+1; i_E=i_E+1;
      acs_fds[acs_fds_c]=yy[i_E]; acs_fds_c=acs_fds_c+1; yy[i_E]=var_Tw-(par_TwCur);
      acs_ids[acs_ids_c]=i_E; acs_ids_c=acs_ids_c+1; i_E=i_E+1;
      acs_fds[acs_fds_c]=yy[i_E]; acs_fds_c=acs_fds_c+1; yy[i_E]=der_var_X7-(var_derX7);
      acs_ids[acs_ids_c]=i_E; acs_ids_c=acs_ids_c+1; i_E=i_E+1;
      acs_ids[acs_ids_c]=n_c; acs_ids_c=acs_ids_c+1; n_c=i_C;
      // For the case you need the actual function value at the end of the forward section, use this mode for storing it.
      // reverse section
      while (acs_cs_c>save_acs_cs_c) {
            acs_cs_c=acs_cs_c-1;
            if (acs_cs[acs_cs_c]==0) {
              acs_ids_c=acs_ids_c-1; n_c=acs_ids[acs_ids_c];
              acs_ids_c=acs_ids_c-1; i_E=acs_ids[acs_ids_c];
              acs_fds_c=acs_fds_c-1; yy[i_E]=acs_fds[acs_fds_c];
              v1_0=der_var_X7;
              v1_1=var_derX7;
              v1_2=v1_1;
              v1_3=v1_0-v1_2;
              a1_v1_3=a1_yy[i_E]; a1_yy[i_E]=0;
              a1_v1_0=a1_v1_3; a1_v1_2=0-a1_v1_3;
              a1_v1_1=a1_v1_2;
              a1_var_derX7=a1_var_derX7+a1_v1_1;
              a1_der_var_X7=a1_der_var_X7+a1_v1_0;
              acs_ids_c=acs_ids_c-1; i_E=acs_ids[acs_ids_c];
              acs_fds_c=acs_fds_c-1; yy[i_E]=acs_fds[acs_fds_c];
              v1_0=var_Tw;
              v1_1=par_TwCur;
              v1_2=v1_1;
              v1_3=v1_0-v1_2;
              a1_v1_3=a1_yy[i_E]; a1_yy[i_E]=0;
              a1_v1_0=a1_v1_3; a1_v1_2=0-a1_v1_3;
              a1_v1_1=a1_v1_2;
              a1_par_TwCur=a1_par_TwCur+a1_v1_1;
              a1_var_Tw=a1_var_Tw+a1_v1_0;
              acs_ids_c=acs_ids_c-1; i_E=acs_ids[acs_ids_c];
              acs_fds_c=acs_fds_c-1; yy[i_E]=acs_fds[acs_fds_c];
              v1_0=var_Fbin;
              v1_1=par_FbinCur;
              v1_2=v1_1;
              v1_3=v1_0-v1_2;
              a1_v1_3=a1_yy[i_E]; a1_yy[i_E]=0;
              a1_v1_0=a1_v1_3; a1_v1_2=0-a1_v1_3;
              a1_v1_1=a1_v1_2;
              a1_par_FbinCur=a1_par_FbinCur+a1_v1_1;
              a1_var_Fbin=a1_var_Fbin+a1_v1_0;
              acs_ids_c=acs_ids_c-1; i_E=acs_ids[acs_ids_c];
              acs_fds_c=acs_fds_c-1; yy[i_E]=acs_fds[acs_fds_c];
              v1_0=var_derX7;
              v1_1=par_FinalTime;
              v1_2=var_Fbin;
              v1_3=var_div74;
              v1_4=v1_2*v1_3;
              v1_5=0.000239005736137667;
              v1_6=437881620000;
              v1_7=var_exp78;
              v1_8=v1_6*v1_7;
              v1_9=var_X1;
              v1_10=v1_8*v1_9;
              v1_11=var_X2;
              v1_12=v1_10*v1_11;
              v1_13=114161211000000;
              v1_14=var_exp83;
              v1_15=v1_13*v1_14;
              v1_16=var_X2;
              v1_17=v1_15*v1_16;
              v1_18=var_X3;
              v1_19=v1_17*v1_18;
              v1_20=v1_12+v1_19;
              v1_21=6.0523935e+17;
              v1_22=var_exp88;
              v1_23=v1_21*v1_22;
              v1_24=var_X3;
              v1_25=v1_23*v1_24;
              v1_26=var_X4;
              v1_27=v1_25*v1_26;
              v1_28=v1_20+v1_27;
              v1_29=v1_28;
              v1_30=v1_5*v1_29;
              v1_31=v1_4+v1_30;
              v1_32=0.000243454685774894;
              v1_33=var_X7;
              v1_34=1000;
              v1_35=var_Tw;
              v1_36=v1_34*v1_35;
              v1_37=v1_33-v1_36;
              v1_38=v1_37;
              v1_39=v1_32*v1_38;
              v1_40=v1_31-v1_39;
              v1_41=var_Fbin;
              v1_42=var_div90;
              v1_43=v1_41*v1_42;
              v1_44=v1_40-v1_43;
              v1_45=v1_44;
              v1_46=v1_1*v1_45;
              v1_47=v1_46;
              v1_48=v1_0-v1_47;
              a1_v1_48=a1_yy[i_E]; a1_yy[i_E]=0;
              a1_v1_0=a1_v1_48; a1_v1_47=0-a1_v1_48;
              a1_v1_46=a1_v1_47;
              a1_v1_1=v1_45*a1_v1_46; a1_v1_45=v1_1*a1_v1_46;
              a1_v1_44=a1_v1_45;
              a1_v1_40=a1_v1_44; a1_v1_43=0-a1_v1_44;
              a1_v1_41=v1_42*a1_v1_43; a1_v1_42=v1_41*a1_v1_43;
              a1_var_div90=a1_var_div90+a1_v1_42;
              a1_var_Fbin=a1_var_Fbin+a1_v1_41;
              a1_v1_31=a1_v1_40; a1_v1_39=0-a1_v1_40;
              a1_v1_32=v1_38*a1_v1_39; a1_v1_38=v1_32*a1_v1_39;
              a1_v1_37=a1_v1_38;
              a1_v1_33=a1_v1_37; a1_v1_36=0-a1_v1_37;
              a1_v1_34=v1_35*a1_v1_36; a1_v1_35=v1_34*a1_v1_36;
              a1_var_Tw=a1_var_Tw+a1_v1_35;
              a1_var_X7=a1_var_X7+a1_v1_33;
              a1_v1_4=a1_v1_31; a1_v1_30=a1_v1_31;
              a1_v1_5=v1_29*a1_v1_30; a1_v1_29=v1_5*a1_v1_30;
              a1_v1_28=a1_v1_29;
              a1_v1_20=a1_v1_28; a1_v1_27=a1_v1_28;
              a1_v1_25=v1_26*a1_v1_27; a1_v1_26=v1_25*a1_v1_27;
              a1_var_X4=a1_var_X4+a1_v1_26;
              a1_v1_23=v1_24*a1_v1_25; a1_v1_24=v1_23*a1_v1_25;
              a1_var_X3=a1_var_X3+a1_v1_24;
              a1_v1_21=v1_22*a1_v1_23; a1_v1_22=v1_21*a1_v1_23;
              a1_var_exp88=a1_var_exp88+a1_v1_22;
              a1_v1_12=a1_v1_20; a1_v1_19=a1_v1_20;
              a1_v1_17=v1_18*a1_v1_19; a1_v1_18=v1_17*a1_v1_19;
              a1_var_X3=a1_var_X3+a1_v1_18;
              a1_v1_15=v1_16*a1_v1_17; a1_v1_16=v1_15*a1_v1_17;
              a1_var_X2=a1_var_X2+a1_v1_16;
              a1_v1_13=v1_14*a1_v1_15; a1_v1_14=v1_13*a1_v1_15;
              a1_var_exp83=a1_var_exp83+a1_v1_14;
              a1_v1_10=v1_11*a1_v1_12; a1_v1_11=v1_10*a1_v1_12;
              a1_var_X2=a1_var_X2+a1_v1_11;
              a1_v1_8=v1_9*a1_v1_10; a1_v1_9=v1_8*a1_v1_10;
              a1_var_X1=a1_var_X1+a1_v1_9;
              a1_v1_6=v1_7*a1_v1_8; a1_v1_7=v1_6*a1_v1_8;
              a1_var_exp78=a1_var_exp78+a1_v1_7;
              a1_v1_2=v1_3*a1_v1_4; a1_v1_3=v1_2*a1_v1_4;
              a1_var_div74=a1_var_div74+a1_v1_3;
              a1_var_Fbin=a1_var_Fbin+a1_v1_2;
              a1_par_FinalTime=a1_par_FinalTime+a1_v1_1;
              a1_var_derX7=a1_var_derX7+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_X7,a1_var_X7,var_i_expr91,a1_var_i_expr91,var_div90,a1_var_div90);
              acs_fds_c=acs_fds_c-1; var_i_expr91=acs_fds[acs_fds_c];
              v1_0=1000;
              v1_1=var_X8;
              v1_2=v1_0*v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr91; a1_var_i_expr91=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=v1_1*a1_v1_2; a1_v1_1=v1_0*a1_v1_2;
              a1_var_X8=a1_var_X8+a1_v1_1;
              bmode_1=1; // restore and joint reversal
          a1_acs_exp(bmode_1,var_i_expr89,a1_var_i_expr89,var_exp88,a1_var_exp88);
              acs_fds_c=acs_fds_c-1; var_i_expr89=acs_fds[acs_fds_c];
              v1_0=var_div85;
              v1_1=-v1_0;
              a1_v1_1=a1_var_i_expr89; a1_var_i_expr89=0;
              a1_v1_0=-a1_v1_1;
              a1_var_div85=a1_var_div85+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_i_expr86,a1_var_i_expr86,var_i_expr87,a1_var_i_expr87,var_div85,a1_var_div85);
              acs_fds_c=acs_fds_c-1; var_i_expr87=acs_fds[acs_fds_c];
              v1_0=273.15;
              v1_1=var_X7;
              v1_2=v1_0+v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr87; a1_var_i_expr87=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=a1_v1_2; a1_v1_1=a1_v1_2;
              a1_var_X7=a1_var_X7+a1_v1_1;
              acs_fds_c=acs_fds_c-1; var_i_expr86=acs_fds[acs_fds_c];
              v1_0=11111;
              a1_v1_0=a1_var_i_expr86; a1_var_i_expr86=0;
              bmode_1=1; // restore and joint reversal
          a1_acs_exp(bmode_1,var_i_expr84,a1_var_i_expr84,var_exp83,a1_var_exp83);
              acs_fds_c=acs_fds_c-1; var_i_expr84=acs_fds[acs_fds_c];
              v1_0=var_div80;
              v1_1=-v1_0;
              a1_v1_1=a1_var_i_expr84; a1_var_i_expr84=0;
              a1_v1_0=-a1_v1_1;
              a1_var_div80=a1_var_div80+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_i_expr81,a1_var_i_expr81,var_i_expr82,a1_var_i_expr82,var_div80,a1_var_div80);
              acs_fds_c=acs_fds_c-1; var_i_expr82=acs_fds[acs_fds_c];
              v1_0=273.15;
              v1_1=var_X7;
              v1_2=v1_0+v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr82; a1_var_i_expr82=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=a1_v1_2; a1_v1_1=a1_v1_2;
              a1_var_X7=a1_var_X7+a1_v1_1;
              acs_fds_c=acs_fds_c-1; var_i_expr81=acs_fds[acs_fds_c];
              v1_0=8333.299999999999;
              a1_v1_0=a1_var_i_expr81; a1_var_i_expr81=0;
              bmode_1=1; // restore and joint reversal
          a1_acs_exp(bmode_1,var_i_expr79,a1_var_i_expr79,var_exp78,a1_var_exp78);
              acs_fds_c=acs_fds_c-1; var_i_expr79=acs_fds[acs_fds_c];
              v1_0=1000;
              v1_1=var_div76;
              v1_2=v1_0*v1_1;
              v1_3=-v1_2;
              a1_v1_3=a1_var_i_expr79; a1_var_i_expr79=0;
              a1_v1_2=-a1_v1_3;
              a1_v1_0=v1_1*a1_v1_2; a1_v1_1=v1_0*a1_v1_2;
              a1_var_div76=a1_var_div76+a1_v1_1;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_b2,a1_var_b2,var_i_expr77,a1_var_i_expr77,var_div76,a1_var_div76);
              acs_fds_c=acs_fds_c-1; var_i_expr77=acs_fds[acs_fds_c];
              v1_0=273.15;
              v1_1=var_X7;
              v1_2=v1_0+v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr77; a1_var_i_expr77=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=a1_v1_2; a1_v1_1=a1_v1_2;
              a1_var_X7=a1_var_X7+a1_v1_1;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_Tin,a1_var_Tin,var_i_expr75,a1_var_i_expr75,var_div74,a1_var_div74);
              acs_fds_c=acs_fds_c-1; var_i_expr75=acs_fds[acs_fds_c];
              v1_0=1000;
              v1_1=var_X8;
              v1_2=v1_0*v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr75; a1_var_i_expr75=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=v1_1*a1_v1_2; a1_v1_1=v1_0*a1_v1_2;
              a1_var_X8=a1_var_X8+a1_v1_1;
              acs_ids_c=acs_ids_c-1; i_E=acs_ids[acs_ids_c];
              acs_fds_c=acs_fds_c-1; yy[i_E]=acs_fds[acs_fds_c];
              v1_0=der_var_X9;
              v1_1=par_FinalTime;
              v1_2=5554.1;
              v1_3=721170000;
              v1_4=var_exp62;
              v1_5=v1_3*v1_4;
              v1_6=var_X2;
              v1_7=v1_5*v1_6;
              v1_8=var_X3;
              v1_9=v1_7*v1_8;
              v1_10=1337250000000;
              v1_11=var_exp67;
              v1_12=v1_10*v1_11;
              v1_13=var_X3;
              v1_14=v1_12*v1_13;
              v1_15=var_X4;
              v1_16=v1_14*v1_15;
              v1_17=v1_9-v1_16;
              v1_18=v1_17;
              v1_19=v1_2*v1_18;
              v1_20=var_X8;
              v1_21=v1_19*v1_20;
              v1_22=-v1_21;
              v1_23=181605029400;
              v1_24=var_exp72;
              v1_25=v1_23*v1_24;
              v1_26=var_X2;
              v1_27=v1_25*v1_26;
              v1_28=var_X3;
              v1_29=v1_27*v1_28;
              v1_30=var_X8;
              v1_31=v1_29*v1_30;
              v1_32=v1_22-v1_31;
              v1_33=v1_32;
              v1_34=v1_1*v1_33;
              v1_35=v1_34;
              v1_36=v1_0-v1_35;
              a1_v1_36=a1_yy[i_E]; a1_yy[i_E]=0;
              a1_v1_0=a1_v1_36; a1_v1_35=0-a1_v1_36;
              a1_v1_34=a1_v1_35;
              a1_v1_1=v1_33*a1_v1_34; a1_v1_33=v1_1*a1_v1_34;
              a1_v1_32=a1_v1_33;
              a1_v1_22=a1_v1_32; a1_v1_31=0-a1_v1_32;
              a1_v1_29=v1_30*a1_v1_31; a1_v1_30=v1_29*a1_v1_31;
              a1_var_X8=a1_var_X8+a1_v1_30;
              a1_v1_27=v1_28*a1_v1_29; a1_v1_28=v1_27*a1_v1_29;
              a1_var_X3=a1_var_X3+a1_v1_28;
              a1_v1_25=v1_26*a1_v1_27; a1_v1_26=v1_25*a1_v1_27;
              a1_var_X2=a1_var_X2+a1_v1_26;
              a1_v1_23=v1_24*a1_v1_25; a1_v1_24=v1_23*a1_v1_25;
              a1_var_exp72=a1_var_exp72+a1_v1_24;
              a1_v1_21=-a1_v1_22;
              a1_v1_19=v1_20*a1_v1_21; a1_v1_20=v1_19*a1_v1_21;
              a1_var_X8=a1_var_X8+a1_v1_20;
              a1_v1_2=v1_18*a1_v1_19; a1_v1_18=v1_2*a1_v1_19;
              a1_v1_17=a1_v1_18;
              a1_v1_9=a1_v1_17; a1_v1_16=0-a1_v1_17;
              a1_v1_14=v1_15*a1_v1_16; a1_v1_15=v1_14*a1_v1_16;
              a1_var_X4=a1_var_X4+a1_v1_15;
              a1_v1_12=v1_13*a1_v1_14; a1_v1_13=v1_12*a1_v1_14;
              a1_var_X3=a1_var_X3+a1_v1_13;
              a1_v1_10=v1_11*a1_v1_12; a1_v1_11=v1_10*a1_v1_12;
              a1_var_exp67=a1_var_exp67+a1_v1_11;
              a1_v1_7=v1_8*a1_v1_9; a1_v1_8=v1_7*a1_v1_9;
              a1_var_X3=a1_var_X3+a1_v1_8;
              a1_v1_5=v1_6*a1_v1_7; a1_v1_6=v1_5*a1_v1_7;
              a1_var_X2=a1_var_X2+a1_v1_6;
              a1_v1_3=v1_4*a1_v1_5; a1_v1_4=v1_3*a1_v1_5;
              a1_var_exp62=a1_var_exp62+a1_v1_4;
              a1_par_FinalTime=a1_par_FinalTime+a1_v1_1;
              a1_der_var_X9=a1_der_var_X9+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_exp(bmode_1,var_i_expr73,a1_var_i_expr73,var_exp72,a1_var_exp72);
              acs_fds_c=acs_fds_c-1; var_i_expr73=acs_fds[acs_fds_c];
              v1_0=var_div69;
              v1_1=-v1_0;
              a1_v1_1=a1_var_i_expr73; a1_var_i_expr73=0;
              a1_v1_0=-a1_v1_1;
              a1_var_div69=a1_var_div69+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_i_expr70,a1_var_i_expr70,var_i_expr71,a1_var_i_expr71,var_div69,a1_var_div69);
              acs_fds_c=acs_fds_c-1; var_i_expr71=acs_fds[acs_fds_c];
              v1_0=273.15;
              v1_1=var_X7;
              v1_2=v1_0+v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr71; a1_var_i_expr71=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=a1_v1_2; a1_v1_1=a1_v1_2;
              a1_var_X7=a1_var_X7+a1_v1_1;
              acs_fds_c=acs_fds_c-1; var_i_expr70=acs_fds[acs_fds_c];
              v1_0=8333.299999999999;
              a1_v1_0=a1_var_i_expr70; a1_var_i_expr70=0;
              bmode_1=1; // restore and joint reversal
          a1_acs_exp(bmode_1,var_i_expr68,a1_var_i_expr68,var_exp67,a1_var_exp67);
              acs_fds_c=acs_fds_c-1; var_i_expr68=acs_fds[acs_fds_c];
              v1_0=var_div64;
              v1_1=-v1_0;
              a1_v1_1=a1_var_i_expr68; a1_var_i_expr68=0;
              a1_v1_0=-a1_v1_1;
              a1_var_div64=a1_var_div64+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_i_expr65,a1_var_i_expr65,var_i_expr66,a1_var_i_expr66,var_div64,a1_var_div64);
              acs_fds_c=acs_fds_c-1; var_i_expr66=acs_fds[acs_fds_c];
              v1_0=273.15;
              v1_1=var_X7;
              v1_2=v1_0+v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr66; a1_var_i_expr66=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=a1_v1_2; a1_v1_1=a1_v1_2;
              a1_var_X7=a1_var_X7+a1_v1_1;
              acs_fds_c=acs_fds_c-1; var_i_expr65=acs_fds[acs_fds_c];
              v1_0=11111;
              a1_v1_0=a1_var_i_expr65; a1_var_i_expr65=0;
              bmode_1=1; // restore and joint reversal
          a1_acs_exp(bmode_1,var_i_expr63,a1_var_i_expr63,var_exp62,a1_var_exp62);
              acs_fds_c=acs_fds_c-1; var_i_expr63=acs_fds[acs_fds_c];
              v1_0=var_div59;
              v1_1=-v1_0;
              a1_v1_1=a1_var_i_expr63; a1_var_i_expr63=0;
              a1_v1_0=-a1_v1_1;
              a1_var_div59=a1_var_div59+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_i_expr60,a1_var_i_expr60,var_i_expr61,a1_var_i_expr61,var_div59,a1_var_div59);
              acs_fds_c=acs_fds_c-1; var_i_expr61=acs_fds[acs_fds_c];
              v1_0=273.15;
              v1_1=var_X7;
              v1_2=v1_0+v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr61; a1_var_i_expr61=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=a1_v1_2; a1_v1_1=a1_v1_2;
              a1_var_X7=a1_var_X7+a1_v1_1;
              acs_fds_c=acs_fds_c-1; var_i_expr60=acs_fds[acs_fds_c];
              v1_0=8333.299999999999;
              a1_v1_0=a1_var_i_expr60; a1_var_i_expr60=0;
              acs_ids_c=acs_ids_c-1; i_E=acs_ids[acs_ids_c];
              acs_fds_c=acs_fds_c-1; yy[i_E]=acs_fds[acs_fds_c];
              v1_0=der_var_X8;
              v1_1=0.001;
              v1_2=par_FinalTime;
              v1_3=v1_1*v1_2;
              v1_4=var_Fbin;
              v1_5=v1_3*v1_4;
              v1_6=v1_5;
              v1_7=v1_0-v1_6;
              a1_v1_7=a1_yy[i_E]; a1_yy[i_E]=0;
              a1_v1_0=a1_v1_7; a1_v1_6=0-a1_v1_7;
              a1_v1_5=a1_v1_6;
              a1_v1_3=v1_4*a1_v1_5; a1_v1_4=v1_3*a1_v1_5;
              a1_var_Fbin=a1_var_Fbin+a1_v1_4;
              a1_v1_1=v1_2*a1_v1_3; a1_v1_2=v1_1*a1_v1_3;
              a1_par_FinalTime=a1_par_FinalTime+a1_v1_2;
              a1_der_var_X8=a1_der_var_X8+a1_v1_0;
              acs_ids_c=acs_ids_c-1; i_E=acs_ids[acs_ids_c];
              acs_fds_c=acs_fds_c-1; yy[i_E]=acs_fds[acs_fds_c];
              v1_0=der_var_X6;
              v1_1=par_FinalTime;
              v1_2=4011750000000;
              v1_3=var_exp55;
              v1_4=v1_2*v1_3;
              v1_5=var_X4;
              v1_6=v1_4*v1_5;
              v1_7=var_X3;
              v1_8=v1_6*v1_7;
              v1_9=var_X6;
              v1_10=var_div57;
              v1_11=v1_9*v1_10;
              v1_12=v1_8-v1_11;
              v1_13=v1_12;
              v1_14=v1_1*v1_13;
              v1_15=v1_14;
              v1_16=v1_0-v1_15;
              a1_v1_16=a1_yy[i_E]; a1_yy[i_E]=0;
              a1_v1_0=a1_v1_16; a1_v1_15=0-a1_v1_16;
              a1_v1_14=a1_v1_15;
              a1_v1_1=v1_13*a1_v1_14; a1_v1_13=v1_1*a1_v1_14;
              a1_v1_12=a1_v1_13;
              a1_v1_8=a1_v1_12; a1_v1_11=0-a1_v1_12;
              a1_v1_9=v1_10*a1_v1_11; a1_v1_10=v1_9*a1_v1_11;
              a1_var_div57=a1_var_div57+a1_v1_10;
              a1_var_X6=a1_var_X6+a1_v1_9;
              a1_v1_6=v1_7*a1_v1_8; a1_v1_7=v1_6*a1_v1_8;
              a1_var_X3=a1_var_X3+a1_v1_7;
              a1_v1_4=v1_5*a1_v1_6; a1_v1_5=v1_4*a1_v1_6;
              a1_var_X4=a1_var_X4+a1_v1_5;
              a1_v1_2=v1_3*a1_v1_4; a1_v1_3=v1_2*a1_v1_4;
              a1_var_exp55=a1_var_exp55+a1_v1_3;
              a1_par_FinalTime=a1_par_FinalTime+a1_v1_1;
              a1_der_var_X6=a1_der_var_X6+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_Fbin,a1_var_Fbin,var_i_expr58,a1_var_i_expr58,var_div57,a1_var_div57);
              acs_fds_c=acs_fds_c-1; var_i_expr58=acs_fds[acs_fds_c];
              v1_0=1000;
              v1_1=var_X8;
              v1_2=v1_0*v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr58; a1_var_i_expr58=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=v1_1*a1_v1_2; a1_v1_1=v1_0*a1_v1_2;
              a1_var_X8=a1_var_X8+a1_v1_1;
              bmode_1=1; // restore and joint reversal
          a1_acs_exp(bmode_1,var_i_expr56,a1_var_i_expr56,var_exp55,a1_var_exp55);
              acs_fds_c=acs_fds_c-1; var_i_expr56=acs_fds[acs_fds_c];
              v1_0=var_div52;
              v1_1=-v1_0;
              a1_v1_1=a1_var_i_expr56; a1_var_i_expr56=0;
              a1_v1_0=-a1_v1_1;
              a1_var_div52=a1_var_div52+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_i_expr53,a1_var_i_expr53,var_i_expr54,a1_var_i_expr54,var_div52,a1_var_div52);
              acs_fds_c=acs_fds_c-1; var_i_expr54=acs_fds[acs_fds_c];
              v1_0=273.15;
              v1_1=var_X7;
              v1_2=v1_0+v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr54; a1_var_i_expr54=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=a1_v1_2; a1_v1_1=a1_v1_2;
              a1_var_X7=a1_var_X7+a1_v1_1;
              acs_fds_c=acs_fds_c-1; var_i_expr53=acs_fds[acs_fds_c];
              v1_0=11111;
              a1_v1_0=a1_var_i_expr53; a1_var_i_expr53=0;
              acs_ids_c=acs_ids_c-1; i_E=acs_ids[acs_ids_c];
              acs_fds_c=acs_fds_c-1; yy[i_E]=acs_fds[acs_fds_c];
              v1_0=der_var_X5;
              v1_1=par_FinalTime;
              v1_2=1442340000;
              v1_3=var_exp48;
              v1_4=v1_2*v1_3;
              v1_5=var_X2;
              v1_6=v1_4*v1_5;
              v1_7=var_X3;
              v1_8=v1_6*v1_7;
              v1_9=var_X5;
              v1_10=var_div50;
              v1_11=v1_9*v1_10;
              v1_12=v1_8-v1_11;
              v1_13=v1_12;
              v1_14=v1_1*v1_13;
              v1_15=v1_14;
              v1_16=v1_0-v1_15;
              a1_v1_16=a1_yy[i_E]; a1_yy[i_E]=0;
              a1_v1_0=a1_v1_16; a1_v1_15=0-a1_v1_16;
              a1_v1_14=a1_v1_15;
              a1_v1_1=v1_13*a1_v1_14; a1_v1_13=v1_1*a1_v1_14;
              a1_v1_12=a1_v1_13;
              a1_v1_8=a1_v1_12; a1_v1_11=0-a1_v1_12;
              a1_v1_9=v1_10*a1_v1_11; a1_v1_10=v1_9*a1_v1_11;
              a1_var_div50=a1_var_div50+a1_v1_10;
              a1_var_X5=a1_var_X5+a1_v1_9;
              a1_v1_6=v1_7*a1_v1_8; a1_v1_7=v1_6*a1_v1_8;
              a1_var_X3=a1_var_X3+a1_v1_7;
              a1_v1_4=v1_5*a1_v1_6; a1_v1_5=v1_4*a1_v1_6;
              a1_var_X2=a1_var_X2+a1_v1_5;
              a1_v1_2=v1_3*a1_v1_4; a1_v1_3=v1_2*a1_v1_4;
              a1_var_exp48=a1_var_exp48+a1_v1_3;
              a1_par_FinalTime=a1_par_FinalTime+a1_v1_1;
              a1_der_var_X5=a1_der_var_X5+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_Fbin,a1_var_Fbin,var_i_expr51,a1_var_i_expr51,var_div50,a1_var_div50);
              acs_fds_c=acs_fds_c-1; var_i_expr51=acs_fds[acs_fds_c];
              v1_0=1000;
              v1_1=var_X8;
              v1_2=v1_0*v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr51; a1_var_i_expr51=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=v1_1*a1_v1_2; a1_v1_1=v1_0*a1_v1_2;
              a1_var_X8=a1_var_X8+a1_v1_1;
              bmode_1=1; // restore and joint reversal
          a1_acs_exp(bmode_1,var_i_expr49,a1_var_i_expr49,var_exp48,a1_var_exp48);
              acs_fds_c=acs_fds_c-1; var_i_expr49=acs_fds[acs_fds_c];
              v1_0=var_div45;
              v1_1=-v1_0;
              a1_v1_1=a1_var_i_expr49; a1_var_i_expr49=0;
              a1_v1_0=-a1_v1_1;
              a1_var_div45=a1_var_div45+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_i_expr46,a1_var_i_expr46,var_i_expr47,a1_var_i_expr47,var_div45,a1_var_div45);
              acs_fds_c=acs_fds_c-1; var_i_expr47=acs_fds[acs_fds_c];
              v1_0=273.15;
              v1_1=var_X7;
              v1_2=v1_0+v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr47; a1_var_i_expr47=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=a1_v1_2; a1_v1_1=a1_v1_2;
              a1_var_X7=a1_var_X7+a1_v1_1;
              acs_fds_c=acs_fds_c-1; var_i_expr46=acs_fds[acs_fds_c];
              v1_0=8333.299999999999;
              a1_v1_0=a1_var_i_expr46; a1_var_i_expr46=0;
              acs_ids_c=acs_ids_c-1; i_E=acs_ids[acs_ids_c];
              acs_fds_c=acs_fds_c-1; yy[i_E]=acs_fds[acs_fds_c];
              v1_0=der_var_X4;
              v1_1=par_FinalTime;
              v1_2=721170000;
              v1_3=var_exp36;
              v1_4=v1_2*v1_3;
              v1_5=var_X2;
              v1_6=v1_4*v1_5;
              v1_7=var_X3;
              v1_8=v1_6*v1_7;
              v1_9=1337250000000;
              v1_10=var_exp41;
              v1_11=v1_9*v1_10;
              v1_12=var_X3;
              v1_13=v1_11*v1_12;
              v1_14=var_X4;
              v1_15=v1_13*v1_14;
              v1_16=v1_8-v1_15;
              v1_17=var_X4;
              v1_18=var_div43;
              v1_19=v1_17*v1_18;
              v1_20=v1_16-v1_19;
              v1_21=v1_20;
              v1_22=v1_1*v1_21;
              v1_23=v1_22;
              v1_24=v1_0-v1_23;
              a1_v1_24=a1_yy[i_E]; a1_yy[i_E]=0;
              a1_v1_0=a1_v1_24; a1_v1_23=0-a1_v1_24;
              a1_v1_22=a1_v1_23;
              a1_v1_1=v1_21*a1_v1_22; a1_v1_21=v1_1*a1_v1_22;
              a1_v1_20=a1_v1_21;
              a1_v1_16=a1_v1_20; a1_v1_19=0-a1_v1_20;
              a1_v1_17=v1_18*a1_v1_19; a1_v1_18=v1_17*a1_v1_19;
              a1_var_div43=a1_var_div43+a1_v1_18;
              a1_var_X4=a1_var_X4+a1_v1_17;
              a1_v1_8=a1_v1_16; a1_v1_15=0-a1_v1_16;
              a1_v1_13=v1_14*a1_v1_15; a1_v1_14=v1_13*a1_v1_15;
              a1_var_X4=a1_var_X4+a1_v1_14;
              a1_v1_11=v1_12*a1_v1_13; a1_v1_12=v1_11*a1_v1_13;
              a1_var_X3=a1_var_X3+a1_v1_12;
              a1_v1_9=v1_10*a1_v1_11; a1_v1_10=v1_9*a1_v1_11;
              a1_var_exp41=a1_var_exp41+a1_v1_10;
              a1_v1_6=v1_7*a1_v1_8; a1_v1_7=v1_6*a1_v1_8;
              a1_var_X3=a1_var_X3+a1_v1_7;
              a1_v1_4=v1_5*a1_v1_6; a1_v1_5=v1_4*a1_v1_6;
              a1_var_X2=a1_var_X2+a1_v1_5;
              a1_v1_2=v1_3*a1_v1_4; a1_v1_3=v1_2*a1_v1_4;
              a1_var_exp36=a1_var_exp36+a1_v1_3;
              a1_par_FinalTime=a1_par_FinalTime+a1_v1_1;
              a1_der_var_X4=a1_der_var_X4+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_Fbin,a1_var_Fbin,var_i_expr44,a1_var_i_expr44,var_div43,a1_var_div43);
              acs_fds_c=acs_fds_c-1; var_i_expr44=acs_fds[acs_fds_c];
              v1_0=1000;
              v1_1=var_X8;
              v1_2=v1_0*v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr44; a1_var_i_expr44=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=v1_1*a1_v1_2; a1_v1_1=v1_0*a1_v1_2;
              a1_var_X8=a1_var_X8+a1_v1_1;
              bmode_1=1; // restore and joint reversal
          a1_acs_exp(bmode_1,var_i_expr42,a1_var_i_expr42,var_exp41,a1_var_exp41);
              acs_fds_c=acs_fds_c-1; var_i_expr42=acs_fds[acs_fds_c];
              v1_0=var_div38;
              v1_1=-v1_0;
              a1_v1_1=a1_var_i_expr42; a1_var_i_expr42=0;
              a1_v1_0=-a1_v1_1;
              a1_var_div38=a1_var_div38+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_i_expr39,a1_var_i_expr39,var_i_expr40,a1_var_i_expr40,var_div38,a1_var_div38);
              acs_fds_c=acs_fds_c-1; var_i_expr40=acs_fds[acs_fds_c];
              v1_0=273.15;
              v1_1=var_X7;
              v1_2=v1_0+v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr40; a1_var_i_expr40=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=a1_v1_2; a1_v1_1=a1_v1_2;
              a1_var_X7=a1_var_X7+a1_v1_1;
              acs_fds_c=acs_fds_c-1; var_i_expr39=acs_fds[acs_fds_c];
              v1_0=11111;
              a1_v1_0=a1_var_i_expr39; a1_var_i_expr39=0;
              bmode_1=1; // restore and joint reversal
          a1_acs_exp(bmode_1,var_i_expr37,a1_var_i_expr37,var_exp36,a1_var_exp36);
              acs_fds_c=acs_fds_c-1; var_i_expr37=acs_fds[acs_fds_c];
              v1_0=var_div33;
              v1_1=-v1_0;
              a1_v1_1=a1_var_i_expr37; a1_var_i_expr37=0;
              a1_v1_0=-a1_v1_1;
              a1_var_div33=a1_var_div33+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_i_expr34,a1_var_i_expr34,var_i_expr35,a1_var_i_expr35,var_div33,a1_var_div33);
              acs_fds_c=acs_fds_c-1; var_i_expr35=acs_fds[acs_fds_c];
              v1_0=273.15;
              v1_1=var_X7;
              v1_2=v1_0+v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr35; a1_var_i_expr35=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=a1_v1_2; a1_v1_1=a1_v1_2;
              a1_var_X7=a1_var_X7+a1_v1_1;
              acs_fds_c=acs_fds_c-1; var_i_expr34=acs_fds[acs_fds_c];
              v1_0=8333.299999999999;
              a1_v1_0=a1_var_i_expr34; a1_var_i_expr34=0;
              acs_ids_c=acs_ids_c-1; i_E=acs_ids[acs_ids_c];
              acs_fds_c=acs_fds_c-1; yy[i_E]=acs_fds[acs_fds_c];
              v1_0=der_var_X3;
              v1_1=par_FinalTime;
              v1_2=3319800;
              v1_3=var_exp19;
              v1_4=v1_2*v1_3;
              v1_5=var_X1;
              v1_6=v1_4*v1_5;
              v1_7=var_X2;
              v1_8=v1_6*v1_7;
              v1_9=1442340000;
              v1_10=var_exp24;
              v1_11=v1_9*v1_10;
              v1_12=var_X2;
              v1_13=v1_11*v1_12;
              v1_14=var_X3;
              v1_15=v1_13*v1_14;
              v1_16=v1_8-v1_15;
              v1_17=2674500000000;
              v1_18=var_exp29;
              v1_19=v1_17*v1_18;
              v1_20=var_X3;
              v1_21=v1_19*v1_20;
              v1_22=var_X4;
              v1_23=v1_21*v1_22;
              v1_24=v1_16-v1_23;
              v1_25=var_X3;
              v1_26=var_div31;
              v1_27=v1_25*v1_26;
              v1_28=v1_24-v1_27;
              v1_29=v1_28;
              v1_30=v1_1*v1_29;
              v1_31=v1_30;
              v1_32=v1_0-v1_31;
              a1_v1_32=a1_yy[i_E]; a1_yy[i_E]=0;
              a1_v1_0=a1_v1_32; a1_v1_31=0-a1_v1_32;
              a1_v1_30=a1_v1_31;
              a1_v1_1=v1_29*a1_v1_30; a1_v1_29=v1_1*a1_v1_30;
              a1_v1_28=a1_v1_29;
              a1_v1_24=a1_v1_28; a1_v1_27=0-a1_v1_28;
              a1_v1_25=v1_26*a1_v1_27; a1_v1_26=v1_25*a1_v1_27;
              a1_var_div31=a1_var_div31+a1_v1_26;
              a1_var_X3=a1_var_X3+a1_v1_25;
              a1_v1_16=a1_v1_24; a1_v1_23=0-a1_v1_24;
              a1_v1_21=v1_22*a1_v1_23; a1_v1_22=v1_21*a1_v1_23;
              a1_var_X4=a1_var_X4+a1_v1_22;
              a1_v1_19=v1_20*a1_v1_21; a1_v1_20=v1_19*a1_v1_21;
              a1_var_X3=a1_var_X3+a1_v1_20;
              a1_v1_17=v1_18*a1_v1_19; a1_v1_18=v1_17*a1_v1_19;
              a1_var_exp29=a1_var_exp29+a1_v1_18;
              a1_v1_8=a1_v1_16; a1_v1_15=0-a1_v1_16;
              a1_v1_13=v1_14*a1_v1_15; a1_v1_14=v1_13*a1_v1_15;
              a1_var_X3=a1_var_X3+a1_v1_14;
              a1_v1_11=v1_12*a1_v1_13; a1_v1_12=v1_11*a1_v1_13;
              a1_var_X2=a1_var_X2+a1_v1_12;
              a1_v1_9=v1_10*a1_v1_11; a1_v1_10=v1_9*a1_v1_11;
              a1_var_exp24=a1_var_exp24+a1_v1_10;
              a1_v1_6=v1_7*a1_v1_8; a1_v1_7=v1_6*a1_v1_8;
              a1_var_X2=a1_var_X2+a1_v1_7;
              a1_v1_4=v1_5*a1_v1_6; a1_v1_5=v1_4*a1_v1_6;
              a1_var_X1=a1_var_X1+a1_v1_5;
              a1_v1_2=v1_3*a1_v1_4; a1_v1_3=v1_2*a1_v1_4;
              a1_var_exp19=a1_var_exp19+a1_v1_3;
              a1_par_FinalTime=a1_par_FinalTime+a1_v1_1;
              a1_der_var_X3=a1_der_var_X3+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_Fbin,a1_var_Fbin,var_i_expr32,a1_var_i_expr32,var_div31,a1_var_div31);
              acs_fds_c=acs_fds_c-1; var_i_expr32=acs_fds[acs_fds_c];
              v1_0=1000;
              v1_1=var_X8;
              v1_2=v1_0*v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr32; a1_var_i_expr32=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=v1_1*a1_v1_2; a1_v1_1=v1_0*a1_v1_2;
              a1_var_X8=a1_var_X8+a1_v1_1;
              bmode_1=1; // restore and joint reversal
          a1_acs_exp(bmode_1,var_i_expr30,a1_var_i_expr30,var_exp29,a1_var_exp29);
              acs_fds_c=acs_fds_c-1; var_i_expr30=acs_fds[acs_fds_c];
              v1_0=var_div26;
              v1_1=-v1_0;
              a1_v1_1=a1_var_i_expr30; a1_var_i_expr30=0;
              a1_v1_0=-a1_v1_1;
              a1_var_div26=a1_var_div26+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_i_expr27,a1_var_i_expr27,var_i_expr28,a1_var_i_expr28,var_div26,a1_var_div26);
              acs_fds_c=acs_fds_c-1; var_i_expr28=acs_fds[acs_fds_c];
              v1_0=273.15;
              v1_1=var_X7;
              v1_2=v1_0+v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr28; a1_var_i_expr28=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=a1_v1_2; a1_v1_1=a1_v1_2;
              a1_var_X7=a1_var_X7+a1_v1_1;
              acs_fds_c=acs_fds_c-1; var_i_expr27=acs_fds[acs_fds_c];
              v1_0=11111;
              a1_v1_0=a1_var_i_expr27; a1_var_i_expr27=0;
              bmode_1=1; // restore and joint reversal
          a1_acs_exp(bmode_1,var_i_expr25,a1_var_i_expr25,var_exp24,a1_var_exp24);
              acs_fds_c=acs_fds_c-1; var_i_expr25=acs_fds[acs_fds_c];
              v1_0=var_div21;
              v1_1=-v1_0;
              a1_v1_1=a1_var_i_expr25; a1_var_i_expr25=0;
              a1_v1_0=-a1_v1_1;
              a1_var_div21=a1_var_div21+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_i_expr22,a1_var_i_expr22,var_i_expr23,a1_var_i_expr23,var_div21,a1_var_div21);
              acs_fds_c=acs_fds_c-1; var_i_expr23=acs_fds[acs_fds_c];
              v1_0=273.15;
              v1_1=var_X7;
              v1_2=v1_0+v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr23; a1_var_i_expr23=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=a1_v1_2; a1_v1_1=a1_v1_2;
              a1_var_X7=a1_var_X7+a1_v1_1;
              acs_fds_c=acs_fds_c-1; var_i_expr22=acs_fds[acs_fds_c];
              v1_0=8333.299999999999;
              a1_v1_0=a1_var_i_expr22; a1_var_i_expr22=0;
              bmode_1=1; // restore and joint reversal
          a1_acs_exp(bmode_1,var_i_expr20,a1_var_i_expr20,var_exp19,a1_var_exp19);
              acs_fds_c=acs_fds_c-1; var_i_expr20=acs_fds[acs_fds_c];
              v1_0=1000;
              v1_1=var_div17;
              v1_2=v1_0*v1_1;
              v1_3=-v1_2;
              a1_v1_3=a1_var_i_expr20; a1_var_i_expr20=0;
              a1_v1_2=-a1_v1_3;
              a1_v1_0=v1_1*a1_v1_2; a1_v1_1=v1_0*a1_v1_2;
              a1_var_div17=a1_var_div17+a1_v1_1;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_b2,a1_var_b2,var_i_expr18,a1_var_i_expr18,var_div17,a1_var_div17);
              acs_fds_c=acs_fds_c-1; var_i_expr18=acs_fds[acs_fds_c];
              v1_0=273.15;
              v1_1=var_X7;
              v1_2=v1_0+v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr18; a1_var_i_expr18=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=a1_v1_2; a1_v1_1=a1_v1_2;
              a1_var_X7=a1_var_X7+a1_v1_1;
              acs_ids_c=acs_ids_c-1; i_E=acs_ids[acs_ids_c];
              acs_fds_c=acs_fds_c-1; yy[i_E]=acs_fds[acs_fds_c];
              v1_0=der_var_X2;
              v1_1=par_FinalTime;
              v1_2=var_Fbin;
              v1_3=var_div5;
              v1_4=v1_2*v1_3;
              v1_5=1659900;
              v1_6=var_exp10;
              v1_7=v1_5*v1_6;
              v1_8=var_X1;
              v1_9=v1_7*v1_8;
              v1_10=var_X2;
              v1_11=v1_9*v1_10;
              v1_12=721170000;
              v1_13=var_exp15;
              v1_14=v1_12*v1_13;
              v1_15=var_X2;
              v1_16=v1_14*v1_15;
              v1_17=var_X3;
              v1_18=v1_16*v1_17;
              v1_19=v1_11+v1_18;
              v1_20=v1_19;
              v1_21=v1_4-v1_20;
              v1_22=v1_21;
              v1_23=v1_1*v1_22;
              v1_24=v1_23;
              v1_25=v1_0-v1_24;
              a1_v1_25=a1_yy[i_E]; a1_yy[i_E]=0;
              a1_v1_0=a1_v1_25; a1_v1_24=0-a1_v1_25;
              a1_v1_23=a1_v1_24;
              a1_v1_1=v1_22*a1_v1_23; a1_v1_22=v1_1*a1_v1_23;
              a1_v1_21=a1_v1_22;
              a1_v1_4=a1_v1_21; a1_v1_20=0-a1_v1_21;
              a1_v1_19=a1_v1_20;
              a1_v1_11=a1_v1_19; a1_v1_18=a1_v1_19;
              a1_v1_16=v1_17*a1_v1_18; a1_v1_17=v1_16*a1_v1_18;
              a1_var_X3=a1_var_X3+a1_v1_17;
              a1_v1_14=v1_15*a1_v1_16; a1_v1_15=v1_14*a1_v1_16;
              a1_var_X2=a1_var_X2+a1_v1_15;
              a1_v1_12=v1_13*a1_v1_14; a1_v1_13=v1_12*a1_v1_14;
              a1_var_exp15=a1_var_exp15+a1_v1_13;
              a1_v1_9=v1_10*a1_v1_11; a1_v1_10=v1_9*a1_v1_11;
              a1_var_X2=a1_var_X2+a1_v1_10;
              a1_v1_7=v1_8*a1_v1_9; a1_v1_8=v1_7*a1_v1_9;
              a1_var_X1=a1_var_X1+a1_v1_8;
              a1_v1_5=v1_6*a1_v1_7; a1_v1_6=v1_5*a1_v1_7;
              a1_var_exp10=a1_var_exp10+a1_v1_6;
              a1_v1_2=v1_3*a1_v1_4; a1_v1_3=v1_2*a1_v1_4;
              a1_var_div5=a1_var_div5+a1_v1_3;
              a1_var_Fbin=a1_var_Fbin+a1_v1_2;
              a1_par_FinalTime=a1_par_FinalTime+a1_v1_1;
              a1_der_var_X2=a1_der_var_X2+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_exp(bmode_1,var_i_expr16,a1_var_i_expr16,var_exp15,a1_var_exp15);
              acs_fds_c=acs_fds_c-1; var_i_expr16=acs_fds[acs_fds_c];
              v1_0=var_div12;
              v1_1=-v1_0;
              a1_v1_1=a1_var_i_expr16; a1_var_i_expr16=0;
              a1_v1_0=-a1_v1_1;
              a1_var_div12=a1_var_div12+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_i_expr13,a1_var_i_expr13,var_i_expr14,a1_var_i_expr14,var_div12,a1_var_div12);
              acs_fds_c=acs_fds_c-1; var_i_expr14=acs_fds[acs_fds_c];
              v1_0=273.15;
              v1_1=var_X7;
              v1_2=v1_0+v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr14; a1_var_i_expr14=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=a1_v1_2; a1_v1_1=a1_v1_2;
              a1_var_X7=a1_var_X7+a1_v1_1;
              acs_fds_c=acs_fds_c-1; var_i_expr13=acs_fds[acs_fds_c];
              v1_0=8333.299999999999;
              a1_v1_0=a1_var_i_expr13; a1_var_i_expr13=0;
              bmode_1=1; // restore and joint reversal
          a1_acs_exp(bmode_1,var_i_expr11,a1_var_i_expr11,var_exp10,a1_var_exp10);
              acs_fds_c=acs_fds_c-1; var_i_expr11=acs_fds[acs_fds_c];
              v1_0=1000;
              v1_1=var_div8;
              v1_2=v1_0*v1_1;
              v1_3=-v1_2;
              a1_v1_3=a1_var_i_expr11; a1_var_i_expr11=0;
              a1_v1_2=-a1_v1_3;
              a1_v1_0=v1_1*a1_v1_2; a1_v1_1=v1_0*a1_v1_2;
              a1_var_div8=a1_var_div8+a1_v1_1;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_b2,a1_var_b2,var_i_expr9,a1_var_i_expr9,var_div8,a1_var_div8);
              acs_fds_c=acs_fds_c-1; var_i_expr9=acs_fds[acs_fds_c];
              v1_0=273.15;
              v1_1=var_X7;
              v1_2=v1_0+v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr9; a1_var_i_expr9=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=a1_v1_2; a1_v1_1=a1_v1_2;
              a1_var_X7=a1_var_X7+a1_v1_1;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_i_expr6,a1_var_i_expr6,var_i_expr7,a1_var_i_expr7,var_div5,a1_var_div5);
              acs_fds_c=acs_fds_c-1; var_i_expr7=acs_fds[acs_fds_c];
              v1_0=1000;
              v1_1=var_X8;
              v1_2=v1_0*v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr7; a1_var_i_expr7=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=v1_1*a1_v1_2; a1_v1_1=v1_0*a1_v1_2;
              a1_var_X8=a1_var_X8+a1_v1_1;
              acs_fds_c=acs_fds_c-1; var_i_expr6=acs_fds[acs_fds_c];
              v1_0=1;
              v1_1=var_X2;
              v1_2=v1_0-v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr6; a1_var_i_expr6=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=a1_v1_2; a1_v1_1=0-a1_v1_2;
              a1_var_X2=a1_var_X2+a1_v1_1;
              acs_ids_c=acs_ids_c-1; i_E=acs_ids[acs_ids_c];
              acs_fds_c=acs_fds_c-1; yy[i_E]=acs_fds[acs_fds_c];
              v1_0=der_var_X1;
              v1_1=par_FinalTime;
              v1_2=var_X1;
              v1_3=var_div0;
              v1_4=v1_2*v1_3;
              v1_5=1659900;
              v1_6=var_exp3;
              v1_7=v1_5*v1_6;
              v1_8=var_X1;
              v1_9=v1_7*v1_8;
              v1_10=var_X2;
              v1_11=v1_9*v1_10;
              v1_12=v1_4+v1_11;
              v1_13=v1_12;
              v1_14=v1_1*v1_13;
              v1_15=-v1_14;
              v1_16=v1_15;
              v1_17=v1_0-v1_16;
              a1_v1_17=a1_yy[i_E]; a1_yy[i_E]=0;
              a1_v1_0=a1_v1_17; a1_v1_16=0-a1_v1_17;
              a1_v1_15=a1_v1_16;
              a1_v1_14=-a1_v1_15;
              a1_v1_1=v1_13*a1_v1_14; a1_v1_13=v1_1*a1_v1_14;
              a1_v1_12=a1_v1_13;
              a1_v1_4=a1_v1_12; a1_v1_11=a1_v1_12;
              a1_v1_9=v1_10*a1_v1_11; a1_v1_10=v1_9*a1_v1_11;
              a1_var_X2=a1_var_X2+a1_v1_10;
              a1_v1_7=v1_8*a1_v1_9; a1_v1_8=v1_7*a1_v1_9;
              a1_var_X1=a1_var_X1+a1_v1_8;
              a1_v1_5=v1_6*a1_v1_7; a1_v1_6=v1_5*a1_v1_7;
              a1_var_exp3=a1_var_exp3+a1_v1_6;
              a1_v1_2=v1_3*a1_v1_4; a1_v1_3=v1_2*a1_v1_4;
              a1_var_div0=a1_var_div0+a1_v1_3;
              a1_var_X1=a1_var_X1+a1_v1_2;
              a1_par_FinalTime=a1_par_FinalTime+a1_v1_1;
              a1_der_var_X1=a1_der_var_X1+a1_v1_0;
              bmode_1=1; // restore and joint reversal
          a1_acs_exp(bmode_1,var_i_expr4,a1_var_i_expr4,var_exp3,a1_var_exp3);
              acs_fds_c=acs_fds_c-1; var_i_expr4=acs_fds[acs_fds_c];
              v1_0=1000;
              v1_1=var_div1;
              v1_2=v1_0*v1_1;
              v1_3=-v1_2;
              a1_v1_3=a1_var_i_expr4; a1_var_i_expr4=0;
              a1_v1_2=-a1_v1_3;
              a1_v1_0=v1_1*a1_v1_2; a1_v1_1=v1_0*a1_v1_2;
              a1_var_div1=a1_var_div1+a1_v1_1;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_b2,a1_var_b2,var_i_expr2,a1_var_i_expr2,var_div1,a1_var_div1);
              acs_fds_c=acs_fds_c-1; var_i_expr2=acs_fds[acs_fds_c];
              v1_0=273.15;
              v1_1=var_X7;
              v1_2=v1_0+v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr2; a1_var_i_expr2=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=a1_v1_2; a1_v1_1=a1_v1_2;
              a1_var_X7=a1_var_X7+a1_v1_1;
              bmode_1=1; // restore and joint reversal
          a1_acs_div(bmode_1,var_Fbin,a1_var_Fbin,var_i_expr,a1_var_i_expr,var_div0,a1_var_div0);
              acs_fds_c=acs_fds_c-1; var_i_expr=acs_fds[acs_fds_c];
              v1_0=1000;
              v1_1=var_X8;
              v1_2=v1_0*v1_1;
              v1_3=v1_2;
              a1_v1_3=a1_var_i_expr; a1_var_i_expr=0;
              a1_v1_2=a1_v1_3;
              a1_v1_0=v1_1*a1_v1_2; a1_v1_1=v1_0*a1_v1_2;
              a1_var_X8=a1_var_X8+a1_v1_1;
              acs_fds_c=acs_fds_c-1; der_var_derX7=acs_fds[acs_fds_c];
              v1_0=der_x[11];
              a1_v1_0=a1_der_var_derX7; a1_der_var_derX7=0;
              a1_der_x[11]=a1_der_x[11]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_derX7=acs_fds[acs_fds_c];
              v1_0=x[11];
              a1_v1_0=a1_var_derX7; a1_var_derX7=0;
              a1_x[11]=a1_x[11]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; der_var_Tw=acs_fds[acs_fds_c];
              v1_0=der_x[10];
              a1_v1_0=a1_der_var_Tw; a1_der_var_Tw=0;
              a1_der_x[10]=a1_der_x[10]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_Tw=acs_fds[acs_fds_c];
              v1_0=x[10];
              a1_v1_0=a1_var_Tw; a1_var_Tw=0;
              a1_x[10]=a1_x[10]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; der_var_Fbin=acs_fds[acs_fds_c];
              v1_0=der_x[9];
              a1_v1_0=a1_der_var_Fbin; a1_der_var_Fbin=0;
              a1_der_x[9]=a1_der_x[9]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_Fbin=acs_fds[acs_fds_c];
              v1_0=x[9];
              a1_v1_0=a1_var_Fbin; a1_var_Fbin=0;
              a1_x[9]=a1_x[9]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; der_var_X9=acs_fds[acs_fds_c];
              v1_0=der_x[8];
              a1_v1_0=a1_der_var_X9; a1_der_var_X9=0;
              a1_der_x[8]=a1_der_x[8]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_X9=acs_fds[acs_fds_c];
              v1_0=x[8];
              a1_v1_0=a1_var_X9; a1_var_X9=0;
              a1_x[8]=a1_x[8]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; der_var_X8=acs_fds[acs_fds_c];
              v1_0=der_x[7];
              a1_v1_0=a1_der_var_X8; a1_der_var_X8=0;
              a1_der_x[7]=a1_der_x[7]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_X8=acs_fds[acs_fds_c];
              v1_0=x[7];
              a1_v1_0=a1_var_X8; a1_var_X8=0;
              a1_x[7]=a1_x[7]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; der_var_X7=acs_fds[acs_fds_c];
              v1_0=der_x[6];
              a1_v1_0=a1_der_var_X7; a1_der_var_X7=0;
              a1_der_x[6]=a1_der_x[6]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_X7=acs_fds[acs_fds_c];
              v1_0=x[6];
              a1_v1_0=a1_var_X7; a1_var_X7=0;
              a1_x[6]=a1_x[6]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; der_var_X6=acs_fds[acs_fds_c];
              v1_0=der_x[5];
              a1_v1_0=a1_der_var_X6; a1_der_var_X6=0;
              a1_der_x[5]=a1_der_x[5]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_X6=acs_fds[acs_fds_c];
              v1_0=x[5];
              a1_v1_0=a1_var_X6; a1_var_X6=0;
              a1_x[5]=a1_x[5]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; der_var_X5=acs_fds[acs_fds_c];
              v1_0=der_x[4];
              a1_v1_0=a1_der_var_X5; a1_der_var_X5=0;
              a1_der_x[4]=a1_der_x[4]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_X5=acs_fds[acs_fds_c];
              v1_0=x[4];
              a1_v1_0=a1_var_X5; a1_var_X5=0;
              a1_x[4]=a1_x[4]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; der_var_X4=acs_fds[acs_fds_c];
              v1_0=der_x[3];
              a1_v1_0=a1_der_var_X4; a1_der_var_X4=0;
              a1_der_x[3]=a1_der_x[3]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_X4=acs_fds[acs_fds_c];
              v1_0=x[3];
              a1_v1_0=a1_var_X4; a1_var_X4=0;
              a1_x[3]=a1_x[3]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; der_var_X3=acs_fds[acs_fds_c];
              v1_0=der_x[2];
              a1_v1_0=a1_der_var_X3; a1_der_var_X3=0;
              a1_der_x[2]=a1_der_x[2]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_X3=acs_fds[acs_fds_c];
              v1_0=x[2];
              a1_v1_0=a1_var_X3; a1_var_X3=0;
              a1_x[2]=a1_x[2]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; der_var_X2=acs_fds[acs_fds_c];
              v1_0=der_x[1];
              a1_v1_0=a1_der_var_X2; a1_der_var_X2=0;
              a1_der_x[1]=a1_der_x[1]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_X2=acs_fds[acs_fds_c];
              v1_0=x[1];
              a1_v1_0=a1_var_X2; a1_var_X2=0;
              a1_x[1]=a1_x[1]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; der_var_X1=acs_fds[acs_fds_c];
              v1_0=der_x[0];
              a1_v1_0=a1_der_var_X1; a1_der_var_X1=0;
              a1_der_x[0]=a1_der_x[0]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_X1=acs_fds[acs_fds_c];
              v1_0=x[0];
              a1_v1_0=a1_var_X1; a1_var_X1=0;
              a1_x[0]=a1_x[0]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; par_FinalTime=acs_fds[acs_fds_c];
              v1_0=p[3];
              a1_v1_0=a1_par_FinalTime; a1_par_FinalTime=0;
              a1_p[3]=a1_p[3]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; par_TMin=acs_fds[acs_fds_c];
              v1_0=p[2];
              a1_v1_0=a1_par_TMin; a1_par_TMin=0;
              a1_p[2]=a1_p[2]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; par_FbinCur=acs_fds[acs_fds_c];
              v1_0=p[1];
              a1_v1_0=a1_par_FbinCur; a1_par_FbinCur=0;
              a1_p[1]=a1_p[1]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; par_TwCur=acs_fds[acs_fds_c];
              v1_0=p[0];
              a1_v1_0=a1_par_TwCur; a1_par_TwCur=0;
              a1_p[0]=a1_p[0]+a1_v1_0;
              acs_fds_c=acs_fds_c-1; var_TwMax=acs_fds[acs_fds_c];
              v1_0=0.1;
              a1_v1_0=a1_var_TwMax; a1_var_TwMax=0;
              acs_fds_c=acs_fds_c-1; var_TwMin=acs_fds[acs_fds_c];
              v1_0=0.02;
              a1_v1_0=a1_var_TwMin; a1_var_TwMin=0;
              acs_fds_c=acs_fds_c-1; var_FbinMax=acs_fds[acs_fds_c];
              v1_0=5.784;
              a1_v1_0=a1_var_FbinMax; a1_var_FbinMax=0;
              acs_fds_c=acs_fds_c-1; var_FbinMin=acs_fds[acs_fds_c];
              v1_0=0;
              a1_v1_0=a1_var_FbinMin; a1_var_FbinMin=0;
              acs_fds_c=acs_fds_c-1; var_b2=acs_fds[acs_fds_c];
              v1_0=6.6667;
              a1_v1_0=a1_var_b2; a1_var_b2=0;
              acs_fds_c=acs_fds_c-1; var_Tin=acs_fds[acs_fds_c];
              v1_0=35;
              a1_v1_0=a1_var_Tin; a1_var_Tin=0;
              acs_fds_c=acs_fds_c-1; var_n_x=acs_fds[acs_fds_c];
              v1_0=9;
              a1_v1_0=a1_var_n_x; a1_var_n_x=0;
            }
          }
       }
       if (bmode_1==2) {
          res(yy, der_x, x, p, condit, lock, prev, n_x, n_p, n_c);
       }
}
